# URANOS Release Notes

## URANOS version 1.15 (June 25, 2023)

## Changelog:
- fixed issue #24
- added option to enable or disable the angular response function when using the physics model


## URANOS version 1.14 (May 17, 2023)

## Changelog:
- minor code restructuring
- bugfix for scoring if the vertical cylinder virtual detector is off-center


## URANOS version 1.13 (May 3, 2023)

## Changelog:
- improved labels in uranos.cfg
- added option to manually change the seed of the random generator in the uranos.cfg
- minor fixes in the GUI
- fixed high res output for command line


## URANOS version 1.12 (April 30, 2023)

## Changelog:
- option for changing the thermal sensitivity to the response function of a bare counter (in Detector tab)


## URANOS version 1.12alpha (April 6, 2023)

## Changelog:
- update for Nix builds
- added high resolution track mode for 1500 pixels


## URANOS version 1.11 (March 12, 2023)

## Changelog:
- code restructuring for URANOS builds and various cleanups
- small GUI adjustments
- added plattform information in uranos.cfg
- fixed issue #15
- ENDF data base updates
- please also have a look at the toolset for running URANOS using batch jobs (on clusters for example): https://github.com/mkoehli/uranos/tree/main/tools


## URANOS version 1.10 (February 27, 2023)

## Changelog:
- fixed porosity declaration in uranos.cfg
- fixed issues #12, #13, #14


## URANOS version 1.09 (February 11, 2023)

## Changelog:
- bugfixes for layer control and high res track output
- fixed issues #9, #10, #11


## URANOS version 1.08 (February 8, 2023)

## Changelog:
- use command line parameter "tnw" to activate the custom source configuration panel
- (hidden option, prototype) Additional detector layers: use material code to 500 + material code to declare the respective layer also as detector layer
- (hidden option, tnw mode): in the enlarged view ("+" symbol) the source can be place by right clicking into the view area 


## URANOS version 1.07 (January 24, 2023)

## Changelog:
- bugfixes for GUI and computation module
- bugfixes for the cross sections


## URANOS version 1.06 (January 17, 2023)
- temporarily withdrawn - 
### Changelog
- bugfixes for the cross sections
- improved performance


## URANOS version 1.05b (January 14, 2023)

### Changelog
- bugfixes
- improved performance for the GUI data display


## URANOS version 1.05 (January 4, 2023)

### Changelog
- bugfixes
- added material: 231 = Polyvinyl chloride (1.45 g/cm^3)


## URANOS version 1.04 (January 2, 2023)

### Changelog
- additional high resolution track output added
- URANOS CentOS 7 64bit version release with QT 5.9.7 and ROOT 6.22.08.


## URANOS version 1.03 (December 30, 2022)

### Changelog
- URANOS Linux version release. 
- URANOS has currently been tested on Ubuntu 20 64bit with QT 5.12.8 and ROOT 6.22.08.
- Compiled binaries are now available for Ubuntu 20. For running under Linux, please also update the ENDF data.


## URANOS version 1.02 (December 26, 2022)

### Changelog
- bugfixes for command line options


## URANOS version 1.01 (December 5, 2022)

### Changelog
- smaller bugfixes
- updated QCustomPlot to version 2.1.1


## URANOS version 1.00 beta (September 22, 2022)

### Changelog
- bugfixes for material settings


## URANOS version 1.00a (May 24, 2022)

### New installation guidelines

Changed the program architecture to more recent versions of compilers and dependencies, also to prepare the Linux release.
URANOS now requires:
- Visual Studio 2019 community. Install with the development option "C++
application" (approx. 7 GB). Unfortunately, this installation is required to
run ROOT 6. [Link](https://my.visualstudio.com/Downloads?q=visual%20studio%202019&wt.mc_id=o~msft~vscom~older-downloads)
- ROOT (Installer provided on the website, approx. 100 MB) 6.22.08 (a virus
scan warning might appear here). [Link](https://root.cern/download/root_v6.22.08.win32.vc16.exe)
(In case you do not need to run older versions of URANOS it is recommended
to uninstall ROOT before installing the new version)

### Backward-incompatible changes:
- Due to the change in the high energy model, the intensity might scale differently in absolute numbers compared to v0.99.

### GUI improvements:
- "Save Configuration" button added.
